# Contributing to Lavender

Hi there! I'm thrilled that you'd like to contribute to Lavender. Your help is essential for keeping it great. Below you can read how you can contribute to Lavender:

## How to report a bug?

Think you found a bug? Please check [the list of open issues](https://github.com/lavender-discord/lavender/issues) to see if your bug has already been reported. If it hasn't please [submit a new issue](https://github.com/lavender-discord/lavender/issues/new).

Here are a few tips for writing _great_ bug reports:

- Describe the specific problem (e.g., "Member list gets stuck while scrolling").
- Include the steps to reproduce the bug, what you expected to happen, and what happened instead.
- Check that you are using the latest version of Lavender.
- Only include one bug per issue. If you have discovered two bugs, please open two different issues.

## How to suggest a feature or enhancement?

If you find yourself wishing for a feature that doesn't exist in Lavender, you are probably not alone. There are bound to be others out there with similar needs. Many of the features that Lavender has today have been added because of the user suggestions.

[Open an issue](https://github.com/lavender-discord/lavender/issues/new) which describes the feature you would like to see, why you want it, how it should work, etc.

## Your first contribution

I'd love for you to contribute to the project.

## How to propose changes?

Well, if you discovered a bug or had a feature idea and are skilled enough to implement it youself and want it to be in Lavender natively too, then you can do so by following the below steps:

- There are many files and folders in Lavender, and the names of the files are pretty self-explanatory as to what they modify. But if you don't see a file name that matches your changes then put it inside the `others.scss` file inside a folder that you think best describes the type of modification you made. *This step is not necessary if your PR is a bug fix.
- After this, you need to compile all the scss file, preferably with the [`Live Sass Compiler`](https://marketplace.visualstudio.com/items?itemName=glenn2223.live-sass) available for VS Code. All the settings for the compiling process with this extension is included in this repo (under .vscode folder) so you dont have to worry about anything else after installing this plugin.
- After all of the above is done, you can just push the changes to your personal fork and then open a pull request with it.

